MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023148Community[OCCT] OCCT:Data Exchangepublic2012-05-09 17:062012-11-16 13:16
Reportergoeranbarz 
Assigned Togka 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023148: Error in stepstrcmp
DescriptionI have a step file, in which the parts of a complex type are not in the correct alphabetical order. For example it contains the line
# 168=(SHAPE_REPRESENTATION_RELATIONSHIP()REPRESENTATION_RELATIONSHIP_WITH_TRANSFORMATION(
# 167)REPRESENTATION_RELATIONSHIP('','',# 83,# 1));

This causus a wrong result in stepstrcmp in file StepData_StepReaderData.cxx
Steps To Reproducestepstrcmp("REPRESENTATION_RELATIONSHIP_WITH_TRANSFORMATION",
"REPRESENTATION_RELATIONSHIP RPRRLT");
should return true but returns false
Additional information
and documentation updates
The line
   if (name[i] == ' ') { j = i; break; }

stops comparing, if the name ends and doesn't check, if the type also ends, so it doesn't matter, if the type is REPRESENTATION_RELATIONSHIP_WITH_TRANSFORMATION or
REPRESENTATION_RELATIONSHIP


This is not a problem, if the alphabetical order is correct, but it doesn't work, if these two objects are in the wrong alphabetical order of a complex type.

The function shoult also check if type ends here:

   if (name[i] == ' ' && type[i] == '\0') { j = i; break; }
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020507)
gka (developer)
2012-05-11 17:17

Corrected check for comparison of types of complex entities for STEP in order to translate files containing written not alphabetical order complex entities.
(0020508)
gka (developer)
2012-05-11 17:19

Dear Bugmaster.

Branch CR23148 is ready to test
(0020533)
mkv (tester)
2012-05-14 18:20

Dear BugMaster,
Workbench KAS:dev:apn-23148-occt was created from git branch CR23148
(and apn-23148-products from svn trunk) and compiled on Linux platform.

There are not regressions in apn-23148-products regarding to KAS:dev:products-20120415-opt
There are not improvements in apn-23148-products regarding to KAS:dev:products-20120415-opt

See results in /QADisk/occttests/results/KAS/dev/apn-23148-products_12052012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120415-opt_13042012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master d029c7ef
Timestamp: 2012-05-11 12:59:04
Author: gka
Details ] Diff ]
0023148: Error in stepstrcmp

Fix for reading complex entities in STEP reader
mod - src/StepData/StepData_StepReaderData.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-09 17:06 goeranbarz New Issue
2012-05-09 17:06 goeranbarz Assigned To => gka
2012-05-10 09:53 abv Status new => assigned
2012-05-10 10:09 abv Description Updated View Revisions
2012-05-11 17:17 gka Note Added: 0020507
2012-05-11 17:17 gka Status assigned => resolved
2012-05-11 17:19 gka Note Added: 0020508
2012-05-11 17:19 gka Status resolved => reviewed
2012-05-12 11:34 apn Assigned To gka => apn
2012-05-12 17:40 abv Target Version => 6.5.4
2012-05-14 18:20 mkv Note Added: 0020533
2012-05-14 18:21 mkv Test case number => Not needed
2012-05-14 18:21 mkv Assigned To apn => bugmaster
2012-05-14 18:21 mkv Status reviewed => tested
2012-05-21 12:19 gka Changeset attached => occt master d029c7ef
2012-05-21 12:19 gka Assigned To bugmaster => gka
2012-05-21 12:19 gka Status tested => verified
2012-05-21 12:19 gka Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker